﻿@using WebAppLibrary.Models.DAO;
@model IEnumerable<Genre>

@{
    ViewData["Title"] = "Genres";
}

<h1>@ViewData["Title"]</h1>

<p>
    <a asp-action="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Id)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Nombre)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @if (Model != null && Model.Any())
        {
            foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Id)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Nombre)
                    </td>
                    <td>
                        @Html.ActionLink("Edit", "Edit", new {  id=item.Id  }) |
                        @Html.ActionLink("Details", "Details", new {  id=item.Id  }) |
                        @Html.ActionLink("Delete", "Delete", new {  id=item.Id })
                    </td>
                </tr>
            }
        }
        else
        {
            <tr>
                <td colspan="3">Sin datos</td>
            </tr>
        }
    </tbody>
</table>
